| Home | Libraries | People | FAQ | More

## Struct template subtract_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >>

boost::units::subtract_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >>

## Synopsis

    // In header: <boost/units/quantity.hpp>

    template<typename Dim, typename System, typename X, typename Y>
    struct subtract_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >> {
      // types
      typedef subtract_typeof_helper< X, Y >::type value_type;
      typedef unit< Dim, System >                  unit_type;
      typedef quantity< unit_type, value_type >    type;
    };